require 'locale_detect/filter'
require 'rails'

module LocaleDetect
  class Railtie < Rails::Railtie
    initializer "locale_detect.append_before_filter" do
      ActiveSupport.on_load(:action_controller) do
        ActionController::Base.send(:include, LocaleDetect::Filter)
      end
    end
  end
end